from typing import Literal


def string_to_duration(value: str, target: Literal["days", "hours"]):
    """Convert a string to a number of hours, or days"""
    num = int("".join(filter(str.isdigit, value)))

    if target == "hours":
        reconvert = True

    if "h" in value:
        if target == "days":
            raise ValueError("Invalid duration value", value)
        num = num
        reconvert = False
    elif "d" in value:
        num = num
    elif "w" in value:
        num = num * 7
    elif "m" in value:
        num = num * 30
    elif "y" in value:
        num = num * 365
    else:
        raise ValueError("Invalid duration value", value)

    if target == "hours" and reconvert:
        num = num * 24

    return num
