import pytest

from argos.schemas.utils import string_to_duration


def test_string_to_duration_days():
    assert string_to_duration("1d", target="days") == 1
    assert string_to_duration("1w", target="days") == 7
    assert string_to_duration("3w", target="days") == 21
    assert string_to_duration("3m", target="days") == 90
    assert string_to_duration("1y", target="days") == 365
    with pytest.raises(ValueError):
        string_to_duration("3h", target="days")


def test_string_to_duration_hours():
    assert string_to_duration("1h", target="hours") == 1
    assert string_to_duration("1d", target="hours") == 24
    assert string_to_duration("1w", target="hours") == 7 * 24
    assert string_to_duration("3w", target="hours") == 21 * 24
    assert string_to_duration("3m", target="hours") == 3 * 30 * 24
